[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [equinox-dev] Choosing which version of a bundle to start after the workbench starts

Not sure if you are dealing with bundles that have the lazy activation policy.  If so you may be running into a hack in Equinox to support p2.  See https://bugs.eclipse.org/bugs/show_bug.cgi?id=177641

As Neil suggests you may have to persistently stop all the other versions of the bundle that you want to not be started.

Tom



Inactive hide details for Neil Bartlett ---04/11/2013 12:51:03 PM---Bundle version 2.0.0 will only be started if somebody expliNeil Bartlett ---04/11/2013 12:51:03 PM---Bundle version 2.0.0 will only be started if somebody explicitly starts it, or if it has already bee

From: Neil Bartlett <njbartlett@xxxxxxxxx>
To: andrew@xxxxxxxxxxxx,
Cc: Equinox development mailing list <equinox-dev@xxxxxxxxxxx>
Date: 04/11/2013 12:51 PM
Subject: Re: [equinox-dev] Choosing which version of a bundle to start after the workbench starts
Sent by: equinox-dev-bounces@xxxxxxxxxxx





Bundle version 2.0.0 will only be started if somebody explicitly starts it, or if it has already been put into the persistently-started state, or if it is listed in config.ini with @start.

If you're unsure of the current persisted state of all the bundles, your "starter" bundle should probably explicitly stop ALL versions before transiently starting the selected version.

Neil



On Thu, Apr 11, 2013 at 6:42 PM, Andrew Eisenberg <andrew@xxxxxxxxxxxx> wrote: _______________________________________________
equinox-dev mailing list
equinox-dev@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/equinox-dev

GIF image